package de.cliffbreak.varo.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import de.cliffbreak.varo.Varo;
import de.cliffbreak.varo.events.PlayerInteractNPCEvent;
import de.cliffbreak.varo.events.PlayerInteractNPCEvent.Type;

public class PlayerInteractNPCListener implements Listener {

    private Varo plugin;

    public PlayerInteractNPCListener(Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onEntityDamageByEntity(PlayerInteractNPCEvent e) {
        // plugin.getLogger().info(e.getType().toString() + " : " + e.getId() + " : " + e.getDamage());
        if (e.getType().equals(Type.ATTACK)) {
            plugin.npcManager.addDamage(e.getId(), e.getDamage(), e.getIsCritical());
        }
    }

}